SCREWSD(8)

NAME
screwsd - Script Enhaced Web Server daemon

SYNOPSIS
screwsd [OPTION] ...

DESCRIPTION
screwsd is a web server with an special feature: Everything is able to be modificable with scripts. 'screwsd' is just the main daemon that parses the configuration file and calls the rest of the scripts when they are necessary.

By default screwsd uses the ${PREFIX}/etc/screws.conf to run.

OPTIONS

-c filename
    Specifies the configuration file to be used.

-p progname
    Set the argv[0] string. That's useful to change the name of the program seen into the ps list.

-v #
    Verbose level. This value comes from 0 to 5, it's used for debugging purposes, the default value is '0'.

-l  List all configuration file directives. This is useful to generate default configuration file.

-s  Be strict. It means that if there's a problem or warning parsing the configuration file server willn't be started. By default screwsd ignores these warnings.

-d  Run as daemon in the background. This option can be also enabled into the configuration file using the 'daemon' directive.

-o  Show the static options defined in the compilation. These are: PREFIX, EXEC, MODULEPATH, CFGFILE, VERSION and other flags defined into the CONFIG file before building like DEBUG, POLL, IPV6, SSL, MODULES.

-h  Shows a list of default cmdline flags

SEE ALSO
screwsctl(1), screwsd(8), screws.conf(5),

AUTHORS
Main developer: pancake <pancake@phreaker.net>